
Redmine - Patch #41861

Add License URLs to Icons Credits

2024-11-25 04:00 - Mizuki ISHIKAWA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 6.0.2   

Description

I think that when content includes Creative Commons licenses or the MIT License, it is necessary to include either the full text of the

license or a URL linking to the full text.

References:

https://creativecommons.org/faq/#how-do-i-properly-attribute-material-offered-under-a-creative-commons-license

https://github.com/tabler/tabler-icons/blob/main/LICENSE#L12-L13

https://p.yusukekamiyamane.com/icon/attribution/ (This is the recommended license attribution format for Fugue Icons.)

Proposed Changes:

diff --git a/doc/README_FOR_APP b/doc/README_FOR_APP

index 5d7c351a1..4e28696cb 100644

--- a/doc/README_FOR_APP

+++ b/doc/README_FOR_APP

@@ -24,6 +24,6 @@ Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

 Icons credits:

-* Mark James (Silk Icons) licensed under a Creative Commons Attribution 2.5 License.

-* Yusuke Kamiyamane (Fugue Icons) licensed under a Creative Commons Attribution 3.0 License.

-* Paweł Kuna (Tabler Icons https://tabler.io/icons) licensed under MIT License.

+* Mark James (Silk Icons) licensed under a Creative Commons Attribution 2.5 License https://creat

ivecommons.org/licenses/by/2.5/

+* Yusuke Kamiyamane (Fugue Icons https://p.yusukekamiyamane.com/) licensed under a Creative Commo

ns Attribution 3.0 License https://creativecommons.org/licenses/by/3.0/

+* Paweł Kuna (Tabler Icons https://tabler.io/icons) licensed under MIT License https://github.com

/tabler/tabler-icons/blob/master/LICENSE

Associated revisions

Revision 23336 - 2024-11-30 11:32 - Marius BĂLTEANU

Adds license URLs to Icons credits (#41861).

Patch by Mizuki ISHIKAWA (user:ishikawa999)

Revision 23341 - 2024-11-30 11:38 - Marius BĂLTEANU

Merge r23336 from trunk to 6.0-stable (#41861).

History

#1 - 2024-11-30 11:33 - Marius BĂLTEANU

- Category set to Code cleanup/refactoring

- Status changed from New to Resolved

- Assignee set to Marius BĂLTEANU

- Target version set to 6.0.2

Committed, thanks!

#2 - 2024-11-30 11:38 - Marius BĂLTEANU
https://creativecommons.org/faq/#how-do-i-properly-attribute-material-offered-under-a-creative-commons-license
https://github.com/tabler/tabler-icons/blob/main/LICENSE#L12-L13
https://p.yusukekamiyamane.com/icon/attribution/


- Status changed from Resolved to Closed
